CHMOD(1)

NOM
chmod - Modifier les bits de comportement de fichier

SYNOPSIS
chmod [OPTION]... MODE[,MODE]... FICHIER...
chmod [OPTION] ... MODE-OCTAL FICHIER ...
chmod [OPTION] ... --reference=FICHIER-R FICHIER ...

DESCRIPTION
Cette page de manuel documente la version GNU du programme chmod. Le programme chmod modifie les bits de comportement de fichier de chacun des fichiers indiqués, en suivant l'indication de mode, qui peut être une représentation symbolique des changements à effectuer ou un nombre octal représentant le motif binaire des nouveaux bits de comportement.

Le format d'un mode symbolique [ugoa...][[-+=][permissions...]...], où permissions vaut soit zéro, soit plusieurs lettres de l'ensemble rwxXst, soit une seule lettre de l'ensemble ugo. Plusieurs modes symboliques peuvent être indiqués ensemble, séparés par des virgules.

Une combinaison des lettres ugoa contrôle la catégorie d'accès à modifier. Il peut s'agir de l'utilisateur possédant le fichier (u), des autres utilisateurs du même groupe que le fichier (g), des utilisateurs n'appartenant pas au groupe du fichier (o), ou de tous les utilisateurs (a). Si aucune catégorie n'est indiquée, a est pris par défaut, mais les bits définis dans l’umask ne sont pas affectés.

L'opérateur + ajoute pour chaque fichier sélectionné les bits de comportement de fichier spécifiés à ceux déjà existants, l'opérateur - les enlève, et l'opérateur = les ajoute tout en supprimant ceux qui n'ont pas été indiqués. Dans ce dernier cas, pour un utilisateur et un groupe non indiqués d’un dossier, les bits des identifiants ne sont pas affectés.

Les lettres rwxXst sélectionnent les bits de comportement de fichier des utilisateurs concernés : lecture (r), écriture (w), exécution (ou recherche pour les répertoires) (x), exécution/recherche uniquement si le fichier est un répertoire ou s'il a déjà une autorisation d'exécution pour une des catégories d'utilisateur (X), droit d’exécution pour l’utilisateur ou le groupe du fichier (s), drapeau de suppression restreinte ou bit sticky (t). À la place de ces lettres, vous pouvez indiquer une et une seule des lettres de l'ensemble ugo : les permissions dont dispose le propriétaire du fichier (u), les permissions dont disposent les autres membres du groupe propriétaire du fichier (g) et les permissions dont disposent tous les autres utilisateurs (o).

La valeur pour le mode numérique est constituée de 1 à 4 chiffres en octal (0 à 7), calculée en additionnant les bits avec les valeurs 4, 2 et 1, tout bit non mentionné étant considéré comme un zéro en début de chaîne. Le premier chiffre correspond aux attributs de l'utilisateur (4) (set user ID), du groupe (2) (set group ID) et suppression restreinte ou bit sticky (1). Le second chiffre correspond aux autorisations de lecture (4), écriture (2) et exécution (1) pour l'utilisateur propriétaire du fichier. Les troisième et quatrième chiffres correspondent respectivement aux autorisations d'accès pour les membres du groupe du fichier, et pour les autres utilisateurs. Les valeurs ont les mêmes significations que pour le deuxième chiffre.

Le programme chmod ne modifie jamais les autorisations des liens symboliques, l'appel système chmod ne pouvant pas les modifier. Cela n'est pas un problème puisque ces autorisations ne sont jamais prises en compte. Cependant, pour chaque lien symbolique mentionné sur la ligne de commande, chmod modifie les autorisations d'accès du fichier cible. En revanche, chmod ignore purement et simplement les liens symboliques qu'il rencontre lors des descentes récursives de répertoires.

BITS SETUID ET SETGID
chmod réinitialise le bit de set-group-ID d'un fichier standard si l'identifiant de groupe du fichier ne correspond pas à l'identifiant de groupe effectif de l'utilisateur ou à l'un des identifiants des groupes supplémentaires de l'utilisateur, sauf si l'utilisateur possède les privilèges appropriés. Toute restriction supplémentaire peut empêcher la prise en compte des bits de set-user-ID et set-group-ID de MODE ou de FICHIER-R. Ce comportement dépend de la politique appliquée et des fonctionnalités de l'appel système sous-jacent chmod. En cas de doute, vérifiez le comportement du système sous-jacent.

Pour les répertoires, chmod conserve les bits de set-user-ID et set-group-ID d’un répertoire sauf si c'est indiqué explicitement. Vous pouvez modifier ou réinitialiser les bits avec des modes symboliques tels que u+s et g-s. Pour vider ces bits pour des répertoires en mode numérique, vous devez ajouter un zéro ou un « = », comme 00755 ou =755.

ATTRIBUTS DE SUPPRESSION RESTREINTE OU BIT STICKY
Le drapeau de suppression restreinte ou le bit sticky est un simple bit dont l'interprétation dépend du système de fichiers. Pour les répertoires, il empêche les utilisateurs non autorisés de supprimer ou renommer un fichier dans le répertoire sauf s'ils sont propriétaires de ce fichier ou du répertoire ; c'est ce qui est appelé le drapeau de suppression restreinte pour le répertoire, et est habituellement trouvé sur les répertoires en écriture ouverte comme /tmp. Pour les fichiers normaux sur des systèmes plus anciens, le bit permet de conserver l'image du programme sur le périphérique d'échange afin qu'il se charge plus rapidement au lancement ; c'est ce qui est appelé le bit sticky.

OPTIONS

Changer le mode d'appartenance de chaque FICHIER en MODE. Avec l'option --reference, modifier le mode de chaque fichier en celui de FICHIER-R.

-c, --changes
    utiliser le mode bavard en ne signalant que les modifications

-f, --silent, --quiet
    supprimer la plupart des messages d'erreur

-v, --verbose
    afficher un diagnostic pour chaque fichier traité

--no-preserve-root
    ne pas traiter « / » de manière spéciale (par défaut)

--preserve-root
    ne pas opérer récursivement sur « / »

--reference=FICHIER-R
    utiliser le mode du FICHIER-R au lieu des valeurs MODE

-R, --recursive
    modifier récursivement les fichiers et les répertoires

--help
    afficher l'aide-mémoire et quitter

--version
    afficher le nom et la version du logiciel et quitter

Chaque MODE est de la forme « [ugoa]*([-+=]([rwxXst]*|[ugo]))+|[-+=][0-7]+ ».

AUTEUR
Écrit par David MacKenzie et Jim Meyering.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <https://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction à <https://translationproject.org/team/fr.html>

COPYRIGHT
Copyright © 2020 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
chmod(2)

Documentation complète : <https://www.gnu.org/software/coreutils/chmod>
aussi disponible localement à l’aide de la commande : info '(coreutils) chmod invocation'

TRADUCTION
La traduction française de cette page de manuel a été créée par Sylvain Archenault <sylvain.archenault@laposte.net>, Nicolas François <nicolas.francois@centraliens.net>, Bastien Scher <bastien0705@gmail.com>, David Prévot <david@tilapin.org> et Jean-Philippe MENGUAL <jpmengual@debian.org> Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE. Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.